<?php
    /* 
        This file can be included by any PHP script.  It will
        automatically track page accesses.
        USAGE: Simply include this file.  It will create a
        global variable, $aPageAccessCount, that will contain
        the current access count for the page that included
        the script.
    */
    error_reporting( 0 );
    $aLogFilePath = "/www/auto_logs/access.log";
    $aCountArray = array();
    // Check for the existence of the file
    if ( is_file( $aLogFilePath ) == True )
    {
        // open and read the file.  the format is a simple
        // tab-delimted list of the form:
        //   script-path    count
        $aFile = fopen( $aLogFilePath, "r" );
        while( !feof( $aFile ) )
        {
            $aLine = fgets( $aFile, 1024 );
            $aTempArray = explode( "\t", $aLine );
            if ( count( $aTempArray ) == 2 )
            {
                $aCountArray[$aTempArray[0]] = $aTempArray[1];
            }
        }    
        fclose( $aFile );
    }
    // set global page access count and update the temp array
    $aPageAccessCount = $aCountArray[$PATH_TRANSLATED] + 1;
    $aCountArray[$PATH_TRANSLATED] = $aPageAccessCount;
    // write the whole array back to the file
    $aFile = fopen( $aLogFilePath, "w" );
    foreach ( $aCountArray as $aKey => $aValue )
    {
        fputs( $aFile, "$aKey\t$aValue\n" );
    }
    fclose( $aFile );
?>