<?php
    
    function GetMerchantName( $aDB, $aMerchantID )
    {
        $aResult = "";
        $aSQL    = "select name from mcMerchants where ";
        $aSQL   .= "( merchant_id = $aMerchantID )";
        $aDB->query( $aSQL );
        if ( $aDB->next_record() == True )
        {
            $aResult = $aDB->f( "name" );
        }
        return $aResult;
    }
    
    function NewCategoryID( $aDB, $aMerchantID )
    {
        $aSQL  = "select ( max( category_id ) + 1 ) as new_id ";
        $aSQL .= "from mcCategories where ( merchant_id = $aMerchantID )";
        $aDB->query( $aSQL );
        if ( $aDB->next_record() )
        {
            $aResult = $aDB->f( "new_id" );
        }
        if ( empty( $aResult ) == True )
        {
            $aResult = 1;
        }
        return $aResult;
    }
    
    function IsValidCategory( $aDB, $aMerchantID, $aCategoryName )
    {
        $aSQL  = "select category_id from mcCategories where ";
        $aSQL .= "( merchant_id = $aMerchantID ) and ";
        $aSQL .= "( upper( name ) = upper( '$aCategoryName' ) )";
        $aDB->query( $aSQL );
        // if there is a record with the same category name, then
        // return false
        return ( $aDB->num_rows() == 0 );
    }
    
    function SaveCategory( $aDB, $aMerchantID, $aCategoryName )
    {
        $aNewID = NewCategoryID( $aDB, $aMerchantID );
        $aSQL   = "insert into mcCategories ( merchant_id, ";
        $aSQL  .= "category_id, name, created_date ) values ";
        $aSQL  .= "( $aMerchantID, $aNewID, '$aCategoryName', ";
        $aSQL  .= " NOW() )";
        $aDB->query( $aSQL );
        return ( $aDB->Errno == 0 );
    }
    
    function DeleteCategory( $aDB, $aMerchantID, $aCategoryID )
    {
        $aSQL  = "delete from mcCategories where ( merchant_id = ";
        $aSQL .= "$aMerchantID ) and ( category_id = $aCategoryID )";
        $aDB->query( $aSQL );
        return ( $aDB->Errno == 0 );
    }
    
    function UpdateCategory( $aDB, $aMerchantID, $aCategoryID, $aCategoryName )
    {
        $aSQL  = "update mcCategories set name='$aCategoryName' ";
        $aSQL .= "where ( merchant_id = $aMerchantID ) and ";
        $aSQL .= "( category_id = $aCategoryID )";
        $aDB->query( $aSQL );
        return ( $aDB->Errno == 0 );
    }
    
    function GetCategoryHREF( $aCatID, $aDynamic = True )
    {
        if ( $aDynamic == True )
        {
            return "mgmt_prod_list.phtml?cat_id=$aCatID";
        }
        else
        {
            return "mgmt_cat_{$aCatID}.html";
        }
    }
?>