<?php
    include_once( "./format_funcs.php" );
    // returns the number of days between to days
    // in a formatted string, dates in format mm-dd-yyyy
    function GetDateDiff( $aDateStr1, $aDateStr2 )
    {
        $aDateArray1 = explode( "-", $aDateStr1 );
        assert( 'count( $aDateArray1 ) == 3' );
        $aDateArray2 = explode( "-", $aDateStr2 );
        assert( 'count( $aDateArray2 ) == 3' );
        $aTime1 = mktime( 0, 0, 0, $aDateArray1[0], $aDateArray1[1], $aDateArray1[2] );
        $aTime2 = mktime( 0, 0, 0, $aDateArray2[0], $aDateArray2[1], $aDateArray2[2] );
        $aTimeDiff = abs( $aTime1 - $aTime2 );
        return GetFormattedNumber( $aTimeDiff / ( 60 * 60 * 24 ) );
    }
?>